
From: Adrian Bunk <bunk@stusta.de>

This patch makes some needlessly global code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/floppy.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/block/floppy.c~floppyc-make-some-code-static drivers/block/floppy.c
--- 25/drivers/block/floppy.c~floppyc-make-some-code-static	2005-01-25 21:27:09.842484336 -0800
+++ 25-akpm/drivers/block/floppy.c	2005-01-25 21:27:09.848483424 -0800
@@ -4392,7 +4392,7 @@ static int __init acpi_floppy_init(void)
 }
 #endif
 
-int __init floppy_init(void)
+static int __init floppy_init(void)
 {
 	int i, unit, drive;
 	int err, dr;
@@ -4739,7 +4739,7 @@ static void floppy_release_irq_and_dma(v
 
 #ifdef MODULE
 
-char *floppy;
+static char *floppy;
 
 static void unregister_devfs_entries(int drive)
 {
_
